import * as React from 'react';
import { ApolloCache } from '@apollo/client';
import { GraphQLError } from 'graphql';
import { ApolloMockedProviderOptions } from './ApolloMockedProviderOptions';
export declare const createApolloErrorProvider: ({ cache: globalCache, }?: ApolloMockedProviderOptions) => ({ graphQLErrors, cache, children, }: {
    graphQLErrors: GraphQLError[];
    cache?: ApolloCache<any> | undefined;
    children: React.ReactNode | JSX.Element;
}) => JSX.Element;
